sc::GaussLegendreAngularIntegrator(3)

NAME
sc::GaussLegendreAngularIntegrator -

An implementation of an angular integrator using the Gauss-Legendre weights and grid points.

SYNOPSIS

#include <integrator.h>

Inherits sc::AngularIntegrator.

  Public Member Functions
GaussLegendreAngularIntegrator (const Ref< KeyVal > &)
Contract a GaussLegendreAngularIntegrator from KeyVal input.
GaussLegendreAngularIntegrator (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int num_angular_points (double r_value, int ir)
double angular_point_cartesian (int iangular, double r, SCVector3 &integration_point) const
void print (std::ostream &=ExEnv::out0()) const
Print the object.

  Protected Member Functions
int get_ntheta (void) const
void set_ntheta (int i)
int get_nphi (void) const
void set_nphi (int i)
int get_Ktheta (void) const
void set_Ktheta (int i)
int get_ntheta_r (void) const
void set_ntheta_r (int i)
int get_nphi_r (void) const
void set_nphi_r (int i)
int get_Ktheta_r (void) const
void set_Ktheta_r (int i)
int nw (void) const
double sin_theta (SCVector3 &point) const
void gauleg (double x1, double x2, int n)

  Protected Attributes
int ntheta_
int nphi_
int Ktheta_
int ntheta_r_
int nphi_r_
int Ktheta_r_
double * theta_quad_weights_
double * theta_quad_points_

  Additional Inherited Members

Detailed Description

An implementation of an angular integrator using the Gauss-Legendre weights and grid points.

Constructor & Destructor Documentation

  sc::GaussLegendreAngularIntegrator::GaussLegendreAngularIntegrator (const Ref< KeyVal > &)

Contract a GaussLegendreAngularIntegrator from KeyVal input. This class is for testing, the LebedevLaikovIntegrator is preferred for normal use. The following parameters are read: ntheta, nphi, and Ktheta.

Member Function Documentation

  void sc::GaussLegendreAngularIntegrator::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::AngularIntegrator.

Author

Generated automatically by Doxygen for MPQC from the source code.